live-config fails to install

Bug #1408135 reported by Dan Gilbert
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
live-config (Ubuntu)
Undecided
Unassigned

Bug Description

I was attempting to install live-config and received the following error

"The following packages have unmet dependencies:
 live-config : Depends: live-config-sysvinit but it is not going to be installed or
                        live-config-backend
               Recommends: console-tools but it is not installable
E: Unable to correct problems, you have held broken packages."

In an attempt to move past this error, I tried installing live-config-sysvinit cannot be installed since sysvinit is not installable; I'm using upstart.

"The following packages have unmet dependencies:
 live-config-sysvinit : Depends: sysvinit (>= 2.86) but it is not installable
E: Unable to correct problems, you have held broken packages."

I think this all stems from the removal of live-config-upstart, which would've fulfilled the backend requirement and generally worked with upstart, even though it was considered experimental.

Description: Ubuntu 14.04.1 LTS
Release: 14.04

live-config:
  Installed: (none)
  Candidate: 3.0.23-1+deb8u1
  Version table:
     3.0.23-1+deb8u1 0
        500 http://mirrors.us.kernel.org/ubuntu/ trusty/universe amd64 Packages

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in live-config (Ubuntu):
status: New → Confirmed
Revision history for this message
Espen Carlsen (escarls) wrote :

Can this issue be that live-config-sysvinit just depends on the wrong package?
live-config-sysvinit depends on sysvinit >=2.86.
That package seems retired and are replaced with:
sysvinit-utils 2.88dsf-41ubuntu6

So maybe if the package got the dependencies changed to this one, it would work?

Revision history for this message
Hayden (paul-basov) wrote :

I can confirm that changing dependency from sysvinit to sysvinit-utils fixes the issue.

Revision history for this message
Espen Carlsen (escarls) wrote :

This issue affects 12.04 (Precise), 14.04 (Trusty), 14.10 (Utopic) and 15.04 (Vivid).
In 15.04, there's a suggested version of live-config-sysvinit that depends on sysvinit-core that doesn't exist either.

I'm new to this, so what are the next steps to get a patch approved, so we can use live-build again?

Revision history for this message
e-fernbach (e-fernbach) wrote :

I too can confirm that changing the dependency of live-config-sysvinit from sysvinit >=2.86 to sysvinit-utils live-config-sysvinit results in an installable and working refractasnapshot.
This was tested on a lubuntu 14.04 system.

Revision history for this message
Klausenbusk (klausenbusk) wrote :

I can confirm this.

Revision history for this message
Stepan G. Fedorov (stfedorov) wrote :

Still actual on 12-22-2015 at least for 14.04. Look like somebody didn't do his work in Canonical. Please consider firing maintainer of this package ASAP.

Revision history for this message
luminougat (luminougat) wrote :

Got the same problem on Ubuntu 15.10:

$ apt-cache show live-config
Package: live-config
Priority: optional
Section: universe/misc
Installed-Size: 150
Maintainer: Ubuntu Developers <email address hidden>
Original-Maintainer: Debian Live Project <email address hidden>
Architecture: all
Version: 3.0.23-1+deb8u1
Depends: live-config-sysvinit | live-config-backend
Recommends: live-config-doc, live-tools, console-tools, iproute, keyboard-configuration, locales | locales-all, user-setup, sudo
Suggests: pciutils, wget
Filename: pool/universe/l/live-config/live-config_3.0.23-1+deb8u1_all.deb
Size: 14948
MD5sum: 693b990d9927544d7c515116722cbd49
SHA1: cd03f4b44ebf90544b726a069746a9c7630d494e
SHA256: b2fdcc51a0f0d3d781f2076361a758311916842176c9b9f93317a1a66f781b68
Description-en: Live System Configuration Scripts
 live-config contains the scripts that configure a live system during the boot
 process (late userspace).
 .
 In addition to live-config, a backend for an init system is required, such as
 live-config-sysvinit.
Description-md5: e27cac29e7fb656a3412becf537cc3d4
Homepage: http://live.debian.net/devel/live-config/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu

$ apt-cache show live-config-sysvinit
Package: live-config-sysvinit
Priority: optional
Section: universe/misc
Installed-Size: 63
Maintainer: Ubuntu Developers <email address hidden>
Original-Maintainer: Debian Live Project <email address hidden>
Architecture: all
Source: live-config
Version: 3.0.23-1+deb8u1
Replaces: live-config-backend
Provides: live-config-backend
Depends: sysvinit (>= 2.86)
Conflicts: live-config-backend
Filename: pool/universe/l/live-config/live-config-sysvinit_3.0.23-1+deb8u1_all.deb
Size: 5788
MD5sum: 59792089a68cf6aefbd00e842ed3706f
SHA1: 2c92f9d829dfd2d29c10f51c8299415bf0f62a60
SHA256: 0fbd50f22f87a1a09085e891746f0f9823e96e4a102ed9e245bf2fa5f8896847
Description-en: Live System Configuration Scripts (sysvinit backend)
 live-config contains the scripts that configure a live system during the boot
 process (late userspace).
 .
 This package contains the sysvinit backend.
Description-md5: a367e0e2a6a80e9169cb307c501e3c84
Homepage: http://live.debian.net/devel/live-config/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu

Revision history for this message
Stepan G. Fedorov (stfedorov) wrote :

>live-config-sysvinit : Depends: sysvinit (>= 2.86) but it is not installable

Problem still actual in Xenial, after two and half years since first report. Looks like Canonical didn't wish to work.

Who responsible for this bug? This person should be fired ASAP, and must return his salary for perion from 2015-1-6 to now.

Revision history for this message
Dan Gilbert (dgilbert) wrote :
Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

The attachment "live-config.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers